Bug 2062465 - "Remote peer disconnected" and "gvfs quit unexpectedly" errors when accessing Nextcloud folder
Summary: "Remote peer disconnected" and "gvfs quit unexpectedly" errors when accessing...
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-09 19:52 UTC by Brandon Nielsen
Modified: 2022-05-04 18:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Log including gvfs crash (381.61 KB, text/plain)
2022-03-09 19:52 UTC, Brandon Nielsen
no flags Details

Description Brandon Nielsen 2022-03-09 19:52:09 UTC
Created attachment 1864999 [details]
Log including gvfs crash

Description of problem: 

Attempting to access a Nextcloud folder for an account configured via gnome-initial-setup results in "Remote peer disconnected" and a "gvfs quit unexpectedly" abrt message.


Version-Release number of selected component (if applicable):

nautilus-42~beta-2.fc36.x86_64
gvfs-1.49.90-1.fc36.x86_64


How reproducible:

Every time.


Steps to Reproduce:

1. Configure Nextcloud account via gnome-initial-setup
2. Open Nautilus
3. Click Nextcloud folder in side bar


Actual results:

"Remote peer disconnected" and "gvfs quit unexpectedly" abrt message.


Expected results:

Nextcloud folder to load.


Additional info:

abrt only sees an empty core dump. I have attached a log, crash happens around line 2331.

Comment 1 Brandon Nielsen 2022-03-09 19:58:32 UTC
Reported upstream: https://gitlab.gnome.org/GNOME/gvfs/-/issues/608

Comment 2 Brandon Nielsen 2022-03-23 16:33:12 UTC
Still occurs with Workstation beta 1.4 compose[0]. Mounting with davfs2 works fine.

[0] - https://kojipkgs.fedoraproject.org/compose/36/Fedora-36-20220322.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-36_Beta-1.4.iso

Comment 3 Brandon Nielsen 2022-03-23 17:23:32 UTC
Possible duplicate of bug 2066717.

Comment 4 Ondrej Holy 2022-03-24 08:54:57 UTC
This has a different backtrace, so I am not sure, but it is likely.

Comment 5 Fedora Update System 2022-04-08 12:30:59 UTC
FEDORA-2022-ea5633132d has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ea5633132d

Comment 6 Fedora Update System 2022-04-08 18:57:32 UTC
FEDORA-2022-ea5633132d has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-ea5633132d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ea5633132d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Brandon Nielsen 2022-04-27 15:30:02 UTC
I can confirm the issue described here is fixed.

Unfortunately now I run into a different (Nextcloud) issue[0][1].

[0] - https://gitlab.gnome.org/GNOME/gvfs/-/issues/617
[1] - https://github.com/nextcloud/server/issues/32061

Comment 8 Ondrej Holy 2022-04-28 06:31:51 UTC
This is going to be fixed by https://bodhi.fedoraproject.org/updates/FEDORA-2022-56ac7db53a.

Comment 9 Brandon Nielsen 2022-05-04 18:00:14 UTC
(In reply to Ondrej Holy from comment #8)
> This is going to be fixed by
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-56ac7db53a.

I can confirm that with that update installed, everything works how I would expect.


Note You need to log in before you can comment on or make changes to this bug.